Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Not able to play any video on OpenSuse13.1

  1. #1
    Join Date
    Oct 2013
    Posts
    25

    Default Not able to play any video on OpenSuse13.1

    Hi
    I installed OpenSuse 13.1-64 bit, but see all of video players and sound players not able to work... i search in forum and understand i must install VLC OpenSuse 12.3, when I do it, it can play mu sounds and videos sound! not able to play video with an error. xine, amarok, kaffine, dragon player, kmplayer not able to do anything
    VLC error is:
    for flv file:
    Code:
     No suitable decoder module:
    
     VLC does not support the audio or video format "h264". Unfortunately there is no way for you to fix this.
    for mp4 file:
    Code:
     No suitable decoder module:
    
     VLC does not support the audio or video format "mp4v". Unfortunately there is no way for you to fix this.
    for mkv file:
    Code:
    not any massage, not any sound, not any video
    i try with VLC OpenSuse 12.2 and 12.3 but get similar result.
    please help me... please

  2. #2

    Default Re: Not able to play any video on OpenSuse13.1

    Quote Originally Posted by mshj View Post
    Hi
    I installed OpenSuse 13.1-64 bit, but see all of video players and sound players not able to work... i search in forum and understand i must install VLC OpenSuse 12.3, when I do it, it can play mu sounds and videos sound! not able to play video with an error. xine, amarok, kaffine, dragon player, kmplayer not able to do anything
    VLC error is:
    for flv file:
    Code:
     No suitable decoder module:
    
     VLC does not support the audio or video format "h264". Unfortunately there is no way for you to fix this.
    for mp4 file:
    Code:
     No suitable decoder module:
    
     VLC does not support the audio or video format "mp4v". Unfortunately there is no way for you to fix this.
    for mkv file:
    Code:
    not any massage, not any sound, not any video
    i try with VLC OpenSuse 12.2 and 12.3 but get similar result.
    please help me... please
    Add the Packman repo and install "vlc-codecs".
    Or rather have look here:
    http://opensuse-community.org/ , that will take care of all your problems.
    (that's one of the first search results when googling for "opensuse multimedia")

    And btw, why are you posting this in the "Pre-release/beta" forum?
    13.1 has been released nearly 5 months ago!
    Last edited by wolfi323; 05-Apr-2014 at 13:18.

  3. #3
    Join Date
    Oct 2013
    Posts
    25

    Default Re: Not able to play any video on OpenSuse13.1

    Quote Originally Posted by wolfi323 View Post
    Add the Packman repo and install "vlc-codecs".
    Or rather have look here:
    http://opensuse-community.org/ , that will take care of all your problems.
    (that's one of the first search results when googling for "opensuse multimedia")

    And btw, why are you posting this in the "Pre-release/beta" forum?
    13.1 has been released nearly 5 months ago!
    Wawooo it's mistake... Pre
    thanks, but i'm beginer, please explain your answer...

  4. #4

    Default Re: Not able to play any video on OpenSuse13.1

    Quote Originally Posted by mshj View Post
    Wawooo it's mistake... Pre
    You can ask for this thread to be moved to the proper forum by clicking on the triangle below it.

    thanks, but i'm beginer, please explain your answer...
    There's really not much to explain.
    Click on that link I gave you, and click on one of the 1-click installs there (and maybe read the text before... ).

    PS: For VLC you have to start YaST->Software Mangement afterwards, and install the package "vlc-codecs".
    Or just type this in a terminal window (konsole f.e.):
    Code:
    sudo zypper in vlc-codecs
    Last edited by wolfi323; 05-Apr-2014 at 14:15.

  5. #5
    Join Date
    Oct 2013
    Posts
    25

    Default Re: Not able to play any video on OpenSuse13.1

    Quote Originally Posted by wolfi323 View Post
    You can ask for this thread to be moved to the proper forum by clicking on the triangle below it.


    There's really not much to explain.
    Click on that link I gave you, and click on one of the 1-click installs there (and maybe read the text before... ).

    PS: For VLC you have to start YaST->Software Mangement afterwards, and install the package "vlc-codecs".
    Or just type this in a terminal window (konsole f.e.):
    Code:
    sudo zypper in vlc-codecs
    I do this but not change anything!!!

  6. #6

    Default Re: Not able to play any video on OpenSuse13.1

    Quote Originally Posted by mshj View Post
    I do this but not change anything!!!
    You do what?
    Use the 1-click install, or install "vlc-codecs"?

    Please post your repo list:
    Code:
    zypper lr -d

  7. #7
    Join Date
    Oct 2013
    Posts
    25

    Default Re: Not able to play any video on OpenSuse13.1

    Quote Originally Posted by wolfi323 View Post
    You do what?
    Use the 1-click install, or install "vlc-codecs"?

    Please post your repo list:
    Code:
    zypper lr -d
    I use 1-click and install Gnome and KDE codecs.

    Code:
    #  | Alias                            | Name                               | Enabled | Refresh | Priority | Type   | URI                                                                                          | Service
    ---+----------------------------------+------------------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------------------+--------
     1 | KDE:Distro:Factory               | KDE:Distro:Factory                 | Yes     | No      |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Distro:/Factory/openSUSE_12.3/                |        
     2 | Packman Repository               | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1                                      |        
     3 | SuSE                             | SuSE                               | Yes     | No      |   99     | rpm-md | http://download.videolan.org/SuSE/12.3/                                                      |        
     4 | VLC                              | VLC                                | Yes     | No      |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/13.1                                               |        
     5 | home:buschmann23:Active:Unstable | home:buschmann23:Active:Unstable   | Yes     | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/buschmann23:/Active:/Unstable/openSUSE_12.3/ |        
     6 | libdvdcss repository             | libdvdcss repository               | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                                                         |        
     7 | multimedia:libs                  | multimedia:libs                    | Yes     | No      |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_12.3/                    |        
     8 | openSUSE-13.1-1.10               | openSUSE-13.1-1.10                 | Yes     | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-MATSHITADVD-RAM_UJ8C2_HP39_887484                         |        
     9 | repo-debug                       | openSUSE-13.1-Debug                | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.1/repo/oss/                               |        
    10 | repo-debug-update                | openSUSE-13.1-Update-Debug         | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1/                                              |        
    11 | repo-debug-update-non-oss        | openSUSE-13.1-Update-Debug-Non-Oss | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1-non-oss/                                      |        
    12 | repo-non-oss                     | openSUSE-13.1-Non-Oss              | No      | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/non-oss/                                 |        
    13 | repo-oss                         | openSUSE-13.1-Oss                  | No      | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/oss/                                     |        
    14 | repo-source                      | openSUSE-13.1-Source               | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/13.1/repo/oss/                              |        
    15 | repo-update                      | openSUSE-13.1-Update               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1/                                                    |        
    16 | repo-update-non-oss              | openSUSE-13.1-Update-Non-Oss       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1-non-oss/

  8. #8

    Default Re: Not able to play any video on OpenSuse13.1

    Quote Originally Posted by mshj View Post
    Code:
    #  | Alias                            | Name                               | Enabled | Refresh | Priority | Type   | URI                                                                                          | Service
    ---+----------------------------------+------------------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------------------+--------
     1 | KDE:Distro:Factory               | KDE:Distro:Factory                 | Yes     | No      |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Distro:/Factory/openSUSE_12.3/                |        
      2 | Packman Repository               | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1                                      |        
      3 | SuSE                             | SuSE                               | Yes     | No      |   99     | rpm-md | http://download.videolan.org/SuSE/12.3/                                                      |        
     4 | VLC                              | VLC                                | Yes     | No      |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/13.1                                               |        
      5 | home:buschmann23:Active:Unstable | home:buschmann23:Active:Unstable   | Yes     | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/buschmann23:/Active:/Unstable/openSUSE_12.3/ |        
      6 | libdvdcss repository             | libdvdcss repository               | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                                                         |        
     7 | multimedia:libs                  | multimedia:libs                    | Yes     | No      |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_12.3/                    |        
    You have the Packman repo _and_ the VLC repo active (and the latter one for 12.3 _and_ 13.1).
    That is of course bound to give problems.
    In particular, VLC and Packman have different versions of some libraries, having them both BREAKS your multimedia.
    So remove the VLC repo(s) and switch all packages to their Packman versions (don't fear, Packman has VLC as well):
    Code:
    sudo zypper rr 3 4
    sudo zypper dup --from 2
    After that, your videos should play fine in all your players.

    Then a few more notes about your repos:
    - remove that KDE:Distro:Factory, that's for 12.3. And especially if you're a beginner, you should not use KDE:Distro:Factory anyway.
    Better stay with KDE 4.11.5 included in openSUSE 13.1, or if you do want the latest one, use KDE:Current, that's more stable.
    See here if you want to do that: https://en.opensuse.org/SDB:KDE_repositories

    - And that home:buschmann23 repo is also for 12.3, better remove that as well.

    - multimedia:libs is also for 12.3. Change the URL to .../openSUSE_13.1 or remove it.

    You can add/remove repos and change them also in YaST->Software Repositories.

    You should NEVER use repos for a different openSUSE versions than the one you're running, unless you're 110% sure what you are doing.
    Last edited by wolfi323; 05-Apr-2014 at 15:43.

  9. #9
    Join Date
    Oct 2013
    Posts
    25

    Default Re: Not able to play any video on OpenSuse13.1

    Quote Originally Posted by wolfi323 View Post
    You have the Packman repo _and_ the VLC repo active (and the latter one for 12.3 _and_ 13.1).
    That is of course bound to give problems.
    In particular, VLC and Packman have different versions of some libraries, having them both BREAKS your multimedia.
    So remove the VLC repo(s) and switch all packages to their Packman versions (don't fear, Packman has VLC as well):
    Code:
    sudo zypper rr 3 4
    sudo zypper dup --from 2
    After that, your videos should play fine in all your players.

    Then a few more notes about your repos:
    - remove that KDE:Distro:Factory, that's for 12.3. And especially if you're a beginner, you should not use KDE:Distro:Factory anyway.
    Better stay with KDE 4.11.5 included in openSUSE 13.1, or if you do want the latest one, use KDE:Current, that's more stable.
    See here if you want to do that: https://en.opensuse.org/SDB:KDE_repositories

    - And that home:buschmann23 repo is also for 12.3, better remove that as well.

    - multimedia:libs is also for 12.3. Change the URL to .../openSUSE_13.1 or remove it.

    You can add/remove repos and change them also in YaST->Software Repositories.

    You should NEVER use repos for a different openSUSE versions than the one you're running, unless you're 110% sure what you are doing.
    Before i do this, VLC play my files but not able to show video and only play them sound but now not play anything and change error massage:
    in mp4 files:
    Code:
     No suitable decoder module:
     VLC does not support the audio or video format "h264". Unfortunately there is no way for you to fix this.
     No suitable decoder module:
     VLC does not support the audio or video format "mp4a". Unfortunately there is no way for you to fix this.
     
    

  10. #10

    Default Re: Not able to play any video on OpenSuse13.1

    Quote Originally Posted by mshj View Post
    Before i do this, VLC play my files but not able to show video and only play them sound but now not play anything and change error massage:
    Yes. Do what I told you and VLC will work. (and xine, amarok, kaffeine, dragon player; for kmplayer you would need to install MPlayer as well I think)

    You can do it in Yast as well if you prefer:
    - enter Software Repositories and remove the 2 VLC repos there
    - enter Software Management, click on "View" and select "Repositories", then select the Packman repository in the list on the left, and click on "Switch Packages to the versions in this Repository" above the package list on the right.
    http://en.opensuse.org/SDB:Vendor_ch..._Vendor_change

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •